aboutsummaryrefslogtreecommitdiffstats
path: root/testing/v4l-utils/APKBUILD
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@gmail.com>2011-02-11 07:14:03 +0000
committerLeonardo Arena <rnalrd@gmail.com>2011-02-11 07:15:41 +0000
commit56a57e13bc05b61e2b736062d390a85ade0255ef (patch)
tree85dd8549c8e90ea07188be571b993a257058121f /testing/v4l-utils/APKBUILD
parent134c99d9c7b90c587cc553a4f9675e02dd13d898 (diff)
downloadaports-56a57e13bc05b61e2b736062d390a85ade0255ef.tar.gz
aports-56a57e13bc05b61e2b736062d390a85ade0255ef.tar.bz2
aports-56a57e13bc05b61e2b736062d390a85ade0255ef.tar.xz
testing/v4l-utils: new aport
Video 4 Linux userland library and utilities
Diffstat (limited to 'testing/v4l-utils/APKBUILD')
-rw-r--r--testing/v4l-utils/APKBUILD40
1 files changed, 40 insertions, 0 deletions
diff --git a/testing/v4l-utils/APKBUILD b/testing/v4l-utils/APKBUILD
new file mode 100644
index 0000000000..527824e449
--- /dev/null
+++ b/testing/v4l-utils/APKBUILD
@@ -0,0 +1,40 @@
+# Contributor: Leonardo Arena <rnalrd@gmail.com>
+# Maintainer: Francesco Colista <francesco.colista@gmail.com>
+pkgname=v4l-utils
+pkgver=0.8.2
+pkgrel=0
+pkgdesc="Userspace tools and conversion library for Video 4 Linux"
+url="http://freshmeat.net/projects/libv4l"
+arch="all"
+license="LGPL"
+depends=""
+depends_dev=""
+makedepends=""
+install=""
+subpackages="$pkgname-dev"
+source="http://linuxtv.org/downloads/v4l-utils/$pkgname-$pkgver.tar.bz2"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ cd "$_builddir"
+ sed -i 's|CFLAGS :=|CFLAGS ?=|' Make.rules
+ # TODO: make a proper patch insted of this hugly hack
+ # uclibc does not have argp.h
+ # http://www.spinics.net/lists/linux-media/msg28619.html
+ rm -rf utils/decode_tm6000 utils/keytable
+ sed -i 's/decode_tm6000 //g' utils/Makefile
+ sed -i 's/keytable //g' utils/Makefile
+}
+
+build() {
+ cd "$_builddir"
+ make PREFIX="/usr" || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make PREFIX="/usr" DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="00c11e15a9421d13d0c10138abe435c6 v4l-utils-0.8.2.tar.bz2"